import { Schema } from 'prosemirror-model';
export declare const nodes: {
    doc: import("prosemirror-model").NodeSpec;
    paragraph: import("prosemirror-model").NodeSpec;
    blockquote: import("prosemirror-model").NodeSpec;
    horizontal_rule: import("prosemirror-model").NodeSpec;
    heading: import("prosemirror-model").NodeSpec;
    code_block: import("prosemirror-model").NodeSpec;
    text: import("prosemirror-model").NodeSpec;
    image: import("prosemirror-model").NodeSpec;
    hard_break: import("prosemirror-model").NodeSpec;
} & {
    list_item: import("prosemirror-model").NodeSpec & {
        content: string;
    };
    ordered_list: import("prosemirror-model").NodeSpec & {
        content: string;
        group: string;
    };
    bullet_list: import("prosemirror-model").NodeSpec & {
        content: string;
        group: string;
    };
};
export declare const marks: {
    link: import("prosemirror-model").MarkSpec;
    em: import("prosemirror-model").MarkSpec;
    strong: import("prosemirror-model").MarkSpec;
    code: import("prosemirror-model").MarkSpec;
};
export declare const schema: Schema<"blockquote" | "image" | "text" | "heading" | "doc" | "paragraph" | "horizontal_rule" | "code_block" | "hard_break" | "list_item" | "ordered_list" | "bullet_list", "link" | "code" | "em" | "strong">;
