import { EditorState, Transaction } from 'prosemirror-state';
import { Schema } from 'prosemirror-model';
import { EditorView } from 'prosemirror-view';
declare type TCR = {
    dom: HTMLElement;
    update: (state: EditorState) => void;
};
export declare type ToolbarDropdown = {
    heading?: string[];
};
export declare type ToolbarCustomMenuItem = (editorView: EditorView) => TCR;
export declare type ToolbarDropdownGroupKeys = keyof ToolbarDropdown;
export declare type ToolbarDropdownGroupValues = ToolbarDropdown[ToolbarDropdownGroupKeys];
export declare type ToolbarItem = string | ToolbarDropdown | ToolbarCustomMenuItem;
export declare type Toolbar = Array<ToolbarItem[]> | null;
export interface MenuItemViewSpec {
    classNames?: string[];
    innerHTML?: string;
    textContent?: string;
    attrs?: {
        [key: string]: string;
    };
    activeClass: string;
    disabledClass: string;
}
export declare type MenuLabels = {
    [key: string]: string;
};
export interface MenuOptions {
    toolbar: Toolbar;
    labels: MenuLabels;
    schema?: Schema;
}
export declare type Command = (schema: EditorState, dispatch: (tr: Transaction) => void) => boolean;
export interface DropdownViewRender {
    dom: HTMLElement;
    updates: Array<(state: EditorState) => void>;
}
export interface MenuItemViewRender {
    dom: HTMLElement;
    update: (state: EditorState) => void;
}
export {};
